.SUFFIXES : .c .cc .cpp .cs .obj

.cpp.obj:
	$(CCC) $(CFLAGS) -c $(IPATHS) $<

.c.obj:
	$(CC) $(CFLAGS) -c $(IPATHS) $<

.cc.obj:
	$(CC) $(CFLAGS) -c $(IPATHS) $<

# The following symbols should be valid on all Windows systems
CC	  = cl
CCC	  = cl
CSC     = csc
CDEBUG_	  = -Zi -D_DEBUG -D_TRACE
CFLAGS0_  = -nologo -EHsc -Zm400
CWARN3_   = -W3
CWARN4_   = -W4
CFLAGS_	  = $(CFLAGS0_) $(CWARN3_)
CCFLAGS_  = $(CFLAGS0_) -DHAS_STL
CVARS0_	  = -DWIN32 -D_WIN32 -D_CRT_SECURE_NO_DEPRECATE -D_BIND_TO_CURRENT_VCLIBS_VERSION -GF
CVARSDLL_ = $(CVARSRTDLL_)
COPTIMIZE_ = -Ob2 -Ox
FS	  = ;
LIBCMD	  = lib /NOLOGO /OUT:$@
LINK	  = cl
LINKOPT0  = /nologo /link /OUT:$@  
LINKDBG_  = /MAP /DEBUG
LINKDBGRLM_ = /MAP /DEBUG /NODEFAULTLIB:LIBCMT.lib
LINKOPTM_ = /OPT:REF  
OBJOUT	  = -Fo$@
PLATFORM  = WIN32
PS	  = \#
PURECVAR  = -TC
USEDLL    = -DUSERTXDLL -DUSEXMLDLL

CVARSR_	  = $(CVARS0_) -D_MT -MT
CVARSMTR_  = $(CVARS0_) -D_MT -MT
CVARSMDR_  = $(CVARS0_) -D_MT -D_DLL -MD

CVARSCRTDLLR_ = $(CVARS0_) -D_MT -D_DLL -MD
CVARSRTDLLR_ = $(CVARS0_) -D_MT -D_DLL -MD $(USEDLL)

CVARSD_	  = $(CVARS0_) -MTd
CVARSMTD_  = $(CVARS0_) -D_MT -MTd
CVARSMDD_  = $(CVARS0_) -D_MT -D_DLL -MDd

CVARSCRTDLLD_ = $(CVARS0_) -D_MT -D_DLL -MDd
CVARSRTDLLD_ = $(CVARS0_) -D_MT -D_DLL -MDd $(USEDLL)

CBLDTYPE_ = $(COPTIMIZE_)
CVARS_    = $(CVARSR_)
CVARSMT_  = $(CVARSMTR_)
CVARSMD_  = $(CVARSMDR_)
CVARSCRTDLL_ = $(CVARSCRTDLLR_)
CVARSRTDLL_ = $(CVARSRTDLLR_)
LINKOPT_   = $(LINKOPT0) /OPT:REF
RLMLIBNAME = rlmclient_md.lib


# File extensions
EXE	= .exe
OBJ	= .obj

# Run-time library
LIBPFX	=
LIBEXT	= lib
LPPFX	= -LIBPATH:
A       = _a.$(LIBEXT)
MTA     = mt_a.$(LIBEXT)
MDA     = md_a.$(LIBEXT)
IMP     = .$(LIBEXT)
DLL     = .dll

# O/S commands
COPY	 = -copy
MOVE	 = -move
MV	 = $(MOVE)
RM	 = -del
STRIP	 = strip -g -S
MAKE     = nmake
MKDIR    = -mkdir
RMDIR    = -rd /S /Q

RM_MSVC_FILES = $(RM) *.pdb *.map *.ilk

LLSYS	= user32.lib wsock32.lib advapi32.lib shell32.lib ole32.lib Iphlpapi.lib ws2_32.lib gdi32.lib

# LIBXML2 defs
LIBXML2ROOT = $(OSROOTDIR)/libxml2src
LIBXML2INC  = $(LIBXML2ROOT)/include
LIBXML2LIBDIR = $(OSROOTDIR)/c/lib

# XERCES defs
XERCESROOT = c:/xerces-c_2_5_0
XERCESINC  = $(XERCESROOT)/include
XERCESLIBDIR = $(XERCESROOT)/lib

# XML4C defs
XML4CROOT = c:/xml4c5_4_0
XML4CINC  = $(XML4CROOT)/include
XML4CLIBDIR = $(XML4CROOT)/lib

# RLM defs
RLMLIBDIR = $(OSROOTDIR)/licmgr/RLM/x86_w<x>
LLRLM = $(RLMLIBNAME) wbemuuid.lib

COMPACT	  = -D_COMPACT
NOLIC_	  = -D_NO_LICENSE_CHECK
LLLIC	  = license.lib

# START XBINDER
LLOSRT = osysrt_a.lib
LLOSJSON = osysrtjson_a.lib
LLOSXML = osysrtxml_a.lib
OSRTLIBNAME = osysrt_a.lib
OSJSONLIBNAME = osysrtjson_a.lib
OSXMLLIBNAME = osysrtxml_a.lib
# END XBINDER

